﻿// [Book name], ISBN: [isbn]
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System;
using System.Windows.Forms;
using PhotoShared;

namespace WinFormPhotoClient
{
    public partial class PhotoForm : Form
    {
        public PhotoForm()
        {
            InitializeComponent();
        }

        private void loginControl_LoggedIn(object sender, EventArgs e)
        {
            loginControl.Visible = false;
            imageView.LoggedInUserId = loginControl.LoggedInUserId;
            imageView.Visible = true;
        }

        private void imageView_InvalidCredentials(object sender, EventArgs e)
        {
            imageView.Visible = false;
            imageView.LoggedInUserId = string.Empty;
            Utility.ClearCredentialCache();
            loginControl.Visible = true;
        }
    }
}
