﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PhotoWeb
{
    public partial class FriendPicturesXHR : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            using (PhotoWebDbDataContext dataContext = new PhotoWebDbDataContext())
            {
                var ids = (from Image image in dataContext.Images
                           select image.UserName).Distinct().OrderBy(n => n);
                lstFriends.DataSource = ids;
                lstFriends.DataBind();
            }
        }
    }
}
