﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfAzureClient
{
    /// <summary>
    /// Interaction logic for ClientAuthenticationWindow.xaml
    /// </summary>
    public partial class ClientAuthenticationWindow : Window
    {
        public ClientAuthenticationWindow()
        {
            InitializeComponent();
        }

        public string Username
        {
            get { return this.tbUsername.Text; }
        }

        public string Password
        {
            get { return this.tbPassword.Password; }
        }

        private void cmdOK_Click(object sender, RoutedEventArgs e)
        {
            // We must have both a username and password
            if (String.IsNullOrEmpty(tbUsername.Text) ||
                String.IsNullOrEmpty(tbPassword.Password))
            {
                // One or the other is empty...
                MessageBox.Show("Please provide both username and password.",
                    "Comment Service Client",
                    MessageBoxButton.OK,
                    MessageBoxImage.Error);
                return;
            }

            this.DialogResult = true;
        }
    }
}
