﻿// [Book name], ISBN: [isbn]
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System;
using System.Windows.Forms;
using PhotoShared;

namespace WinFormPhotoClient
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Utility.BaseUri = Properties.Settings.Default.PhotoService;
            Application.Run(new PhotoForm());
            WinFormPhotoClient.Properties.Settings.Default.Save();
        }
    }
}
