﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.ApplicationServices;
using System.Web.Security;

namespace PhotoWeb
{
    public partial class PhotoWebMaster : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Request.Url.ToString().ToUpper().EndsWith("DEFAULT.ASPX") &&
                !HttpContext.Current.User.Identity.IsAuthenticated)
            {
                Response.Redirect("~/default.aspx");
            }
        }

        protected void btnLogout_Click(object sender, EventArgs e)
        {
            FormsAuthentication.SignOut();
            Session.Abandon();
            Response.Redirect("~/default.aspx");
        }
    }
}
