﻿// [Book name], ISBN: [isbn]
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System;

namespace RESTExtensions
{
    public class CacheItem
    {
        public DateTime Created { get; private set; }
        public byte[] Response { get; private set; }
        public string Url { get; private set; }

        public CacheItem(string url, byte[] response)
        {
            Created = DateTime.UtcNow;
            Response = response;
            Url = url;
        }
    }
}
