﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfAzureClient
{
    /// <summary>
    /// Interaction logic for NewCommentWindow.xaml
    /// </summary>
    public partial class NewCommentWindow : Window
    {
        private CommentItem _commentItem = null;

        public NewCommentWindow()
        {
            InitializeComponent();
        }

        public CommentItem CommentItem
        {
            get { return _commentItem; }
        }

        private void cmdOK_Click(object sender, RoutedEventArgs e)
        {
            // Create a new comment item
            _commentItem = new CommentItem();
            _commentItem.Name = tbName.Text;
            _commentItem.EMail = tbEmail.Text;
            _commentItem.Comment = tbComment.Text;
            _commentItem.CommentID = "-1";

            // Return OK
            this.DialogResult = true;
        }
    }
}
